net.minecraft.network

## Class NetworkManager

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler
      - - net.minecraft.network.NetworkManager

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      public class NetworkManager
      extends io.netty.channel.SimpleChannelInboundHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.netty.util.AttributeKey` | `attrKeyConnectionState`
    `static io.netty.util.AttributeKey` | `attrKeyReceivable`
    `static io.netty.util.AttributeKey` | `attrKeySendable`
    `static io.netty.channel.nio.NioEventLoopGroup` | `eventLoops`
    `static org.apache.logging.log4j.Marker` | `logMarkerNetwork`
    `static org.apache.logging.log4j.Marker` | `logMarkerPackets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkManager(boolean p_i45147_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.netty.channel.Channel` | `channel()`
    `void` | `channelActive(io.netty.channel.ChannelHandlerContext p_channelActive_1_)`
    `void` | `channelInactive(io.netty.channel.ChannelHandlerContext p_channelInactive_1_)`
    `protected void` | `channelRead0(io.netty.channel.ChannelHandlerContext p_channelRead0_1_, java.lang.Object p_channelRead0_2_)`
    `protected void` | `channelRead0(io.netty.channel.ChannelHandlerContext p_150728_1_, Packet p_150728_2_)`
    `void` | `closeChannel(IChatComponent p_150718_1_)`
    `void` | `disableAutoRead()`
    `void` | `enableEncryption(javax.crypto.SecretKey p_150727_1_)`
    `void` | `exceptionCaught(io.netty.channel.ChannelHandlerContext p_exceptionCaught_1_, java.lang.Throwable p_exceptionCaught_2_)`
    `IChatComponent` | `getExitMessage()`
    `INetHandler` | `getNetHandler()`
    `java.net.SocketAddress` | `getSocketAddress()`
    `boolean` | `isChannelOpen()`
    `boolean` | `isLocalChannel()`
    `void` | `processReceivedPackets()`
    `static NetworkManager` | `provideLanClient(java.net.InetAddress p_150726_0_, int p_150726_1_)`
    `static NetworkManager` | `provideLocalClient(java.net.SocketAddress p_150722_0_)`
    `void` | `scheduleOutboundPacket(Packet p_150725_1_, io.netty.util.concurrent.GenericFutureListener... p_150725_2_)`
    `void` | `setConnectionState(EnumConnectionState p_150723_1_)`
    `void` | `setNetHandler(INetHandler p_150719_1_)`

    - ### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Field Detail

    - #### logMarkerNetwork

          public static final org.apache.logging.log4j.Marker logMarkerNetwork

    - #### logMarkerPackets

          public static final org.apache.logging.log4j.Marker logMarkerPackets

    - #### attrKeyConnectionState

          public static final io.netty.util.AttributeKey attrKeyConnectionState

    - #### attrKeyReceivable

          public static final io.netty.util.AttributeKey attrKeyReceivable

    - #### attrKeySendable

          public static final io.netty.util.AttributeKey attrKeySendable

    - #### eventLoops

          public static final io.netty.channel.nio.NioEventLoopGroup eventLoops

  - ### Constructor Detail

    - #### NetworkManager

          public NetworkManager(boolean p_i45147_1_)

  - ### Method Detail

    - #### channelActive

          public void channelActive(io.netty.channel.ChannelHandlerContext p_channelActive_1_)
                             throws java.lang.Exception

      Specified by:
        `channelActive` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelActive` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `java.lang.Exception`

    - #### setConnectionState

          public void setConnectionState(EnumConnectionState p_150723_1_)

    - #### channelInactive

          public void channelInactive(io.netty.channel.ChannelHandlerContext p_channelInactive_1_)

      Specified by:
        `channelInactive` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelInactive` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### exceptionCaught

          public void exceptionCaught(io.netty.channel.ChannelHandlerContext p_exceptionCaught_1_,
                             java.lang.Throwable p_exceptionCaught_2_)

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### channelRead0

          protected void channelRead0(io.netty.channel.ChannelHandlerContext p_150728_1_,
                          Packet p_150728_2_)

    - #### setNetHandler

          public void setNetHandler(INetHandler p_150719_1_)

    - #### scheduleOutboundPacket

          public void scheduleOutboundPacket(Packet p_150725_1_,
                                    io.netty.util.concurrent.GenericFutureListener... p_150725_2_)

    - #### processReceivedPackets

          public void processReceivedPackets()

    - #### getSocketAddress

          public java.net.SocketAddress getSocketAddress()

    - #### closeChannel

          public void closeChannel(IChatComponent p_150718_1_)

    - #### isLocalChannel

          public boolean isLocalChannel()

    - #### provideLanClient

          public static NetworkManager provideLanClient(java.net.InetAddress p_150726_0_,
                                        int p_150726_1_)

    - #### provideLocalClient

          public static NetworkManager provideLocalClient(java.net.SocketAddress p_150722_0_)

    - #### enableEncryption

          public void enableEncryption(javax.crypto.SecretKey p_150727_1_)

    - #### isChannelOpen

          public boolean isChannelOpen()

    - #### getNetHandler

          public INetHandler getNetHandler()

    - #### getExitMessage

          public IChatComponent getExitMessage()

    - #### disableAutoRead

          public void disableAutoRead()

    - #### channelRead0

          protected void channelRead0(io.netty.channel.ChannelHandlerContext p_channelRead0_1_,
                          java.lang.Object p_channelRead0_2_)

      Specified by:
        `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler`

    - #### channel

          public io.netty.channel.Channel channel()